Skip to content

Product Copyright Statements v3

API for managing product copyright statements.


Endpoints


GET /resource/v3/products/{productId}/copyright_statements

List product copyright statements

Input parameters

Path parameters

Parameter Type Default Nullable Description
productId string No Unique ID of the product

Responses

{
    "_links": {},
    "_pagination": {},
    "items": [
        {
            "_links": {},
            "_id": 1328,
            "_uuid": "string",
            "_version": "3.0",
            "owner": "Test Publishing LLC.",
            "year": "2025",
            "type": "copyright"
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "additionalProperties": false,
    "properties": {
        "_links": {
            "type": "object"
        },
        "_pagination": {
            "type": "object"
        },
        "items": {
            "type": "array",
            "items": {
                "type": "object",
                "additionalProperties": false,
                "properties": {
                    "_links": {
                        "type": "object"
                    },
                    "_id": {
                        "type": "integer",
                        "example": 1328,
                        "nullable": true
                    },
                    "_uuid": {
                        "type": "string",
                        "description": "ID of resource in V4 version of resource"
                    },
                    "_version": {
                        "type": "string",
                        "description": "API Version",
                        "example": "3.0"
                    },
                    "owner": {
                        "type": "string",
                        "description": "Copyright Owner",
                        "example": "Test Publishing LLC."
                    },
                    "year": {
                        "type": "string",
                        "description": "Copyright Year",
                        "example": "2025"
                    },
                    "type": {
                        "type": "string",
                        "example": "copyright",
                        "description": "Type of the copyright. Valid values copyright, database_right or phonogram_right"
                    }
                },
                "required": [
                    "type",
                    "year",
                    "owner"
                ]
            }
        }
    },
    "required": [
        "_links",
        "_pagination",
        "items"
    ]
}

POST /resource/v3/products/{productId}/copyright_statements

Create a new copyright statement

Input parameters

Path parameters

Parameter Type Default Nullable Description
productId string No Unique ID of the product

Request body

{
    "_links": {},
    "_id": 1328,
    "_uuid": "string",
    "_version": "3.0",
    "owner": "Test Publishing LLC.",
    "year": "2025",
    "type": "copyright"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "type": "object",
    "additionalProperties": false,
    "properties": {
        "_links": {
            "type": "object"
        },
        "_id": {
            "type": "integer",
            "example": 1328,
            "nullable": true
        },
        "_uuid": {
            "type": "string",
            "description": "ID of resource in V4 version of resource"
        },
        "_version": {
            "type": "string",
            "description": "API Version",
            "example": "3.0"
        },
        "owner": {
            "type": "string",
            "description": "Copyright Owner",
            "example": "Test Publishing LLC."
        },
        "year": {
            "type": "string",
            "description": "Copyright Year",
            "example": "2025"
        },
        "type": {
            "type": "string",
            "example": "copyright",
            "description": "Type of the copyright. Valid values copyright, database_right or phonogram_right"
        }
    },
    "required": [
        "type",
        "year",
        "owner"
    ]
}

Responses

{
    "_links": {},
    "_id": 1328,
    "_uuid": "string",
    "_version": "3.0",
    "owner": "Test Publishing LLC.",
    "year": "2025",
    "type": "copyright"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "additionalProperties": false,
    "properties": {
        "_links": {
            "type": "object"
        },
        "_id": {
            "type": "integer",
            "example": 1328,
            "nullable": true
        },
        "_uuid": {
            "type": "string",
            "description": "ID of resource in V4 version of resource"
        },
        "_version": {
            "type": "string",
            "description": "API Version",
            "example": "3.0"
        },
        "owner": {
            "type": "string",
            "description": "Copyright Owner",
            "example": "Test Publishing LLC."
        },
        "year": {
            "type": "string",
            "description": "Copyright Year",
            "example": "2025"
        },
        "type": {
            "type": "string",
            "example": "copyright",
            "description": "Type of the copyright. Valid values copyright, database_right or phonogram_right"
        }
    },
    "required": [
        "type",
        "year",
        "owner"
    ]
}

{
    "errors": [
        {
            "_id": "string",
            "stack_trace": [
                "string"
            ],
            "message": "string",
            "vars": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "additionalProperties": false,
    "required": [
        "errors"
    ],
    "properties": {
        "errors": {
            "type": "array",
            "description": "List of errors occurred",
            "items": {
                "type": "object",
                "additionalProperties": false,
                "required": [
                    "_id",
                    "message",
                    "stack_trace",
                    "vars"
                ],
                "properties": {
                    "_id": {
                        "type": "string",
                        "description": "The identifier of the error"
                    },
                    "stack_trace": {
                        "type": "array",
                        "description": "A stacktrace of the error occurred. Only for testing systems.",
                        "items": {
                            "type": "string"
                        }
                    },
                    "message": {
                        "type": "string",
                        "description": "A translated message of the error"
                    },
                    "vars": {
                        "type": "object",
                        "description": "A dict containing additional values of the context of the error."
                    }
                }
            }
        }
    }
}

GET /resource/v3/products/{productId}/copyright_statements/{copyright_statementId}

Get details of a single copyright statement

Input parameters

Path parameters

Parameter Type Default Nullable Description
copyright_statementId string No Unique ID of the product copyright statement
productId string No Unique ID of the product

Responses

{
    "_links": {},
    "_id": 1328,
    "_uuid": "string",
    "_version": "3.0",
    "owner": "Test Publishing LLC.",
    "year": "2025",
    "type": "copyright"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "additionalProperties": false,
    "properties": {
        "_links": {
            "type": "object"
        },
        "_id": {
            "type": "integer",
            "example": 1328,
            "nullable": true
        },
        "_uuid": {
            "type": "string",
            "description": "ID of resource in V4 version of resource"
        },
        "_version": {
            "type": "string",
            "description": "API Version",
            "example": "3.0"
        },
        "owner": {
            "type": "string",
            "description": "Copyright Owner",
            "example": "Test Publishing LLC."
        },
        "year": {
            "type": "string",
            "description": "Copyright Year",
            "example": "2025"
        },
        "type": {
            "type": "string",
            "example": "copyright",
            "description": "Type of the copyright. Valid values copyright, database_right or phonogram_right"
        }
    },
    "required": [
        "type",
        "year",
        "owner"
    ]
}

{
    "errors": [
        {
            "_id": "string",
            "stack_trace": [
                "string"
            ],
            "message": "string",
            "vars": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "additionalProperties": false,
    "required": [
        "errors"
    ],
    "properties": {
        "errors": {
            "type": "array",
            "description": "List of errors occurred",
            "items": {
                "type": "object",
                "additionalProperties": false,
                "required": [
                    "_id",
                    "message",
                    "stack_trace",
                    "vars"
                ],
                "properties": {
                    "_id": {
                        "type": "string",
                        "description": "The identifier of the error"
                    },
                    "stack_trace": {
                        "type": "array",
                        "description": "A stacktrace of the error occurred. Only for testing systems.",
                        "items": {
                            "type": "string"
                        }
                    },
                    "message": {
                        "type": "string",
                        "description": "A translated message of the error"
                    },
                    "vars": {
                        "type": "object",
                        "description": "A dict containing additional values of the context of the error."
                    }
                }
            }
        }
    }
}

PUT /resource/v3/products/{productId}/copyright_statements/{copyright_statementId}

Update a single copyright statement

Input parameters

Path parameters

Parameter Type Default Nullable Description
copyright_statementId string No Unique ID of the product copyright statement
productId string No Unique ID of the product

Request body

{
    "_links": {},
    "_id": 1328,
    "_uuid": "string",
    "_version": "3.0",
    "owner": "Test Publishing LLC.",
    "year": "2025",
    "type": "copyright"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the request body
{
    "type": "object",
    "additionalProperties": false,
    "properties": {
        "_links": {
            "type": "object"
        },
        "_id": {
            "type": "integer",
            "example": 1328,
            "nullable": true
        },
        "_uuid": {
            "type": "string",
            "description": "ID of resource in V4 version of resource"
        },
        "_version": {
            "type": "string",
            "description": "API Version",
            "example": "3.0"
        },
        "owner": {
            "type": "string",
            "description": "Copyright Owner",
            "example": "Test Publishing LLC."
        },
        "year": {
            "type": "string",
            "description": "Copyright Year",
            "example": "2025"
        },
        "type": {
            "type": "string",
            "example": "copyright",
            "description": "Type of the copyright. Valid values copyright, database_right or phonogram_right"
        }
    },
    "required": [
        "type",
        "year",
        "owner"
    ]
}

Responses

{
    "_links": {},
    "_id": 1328,
    "_uuid": "string",
    "_version": "3.0",
    "owner": "Test Publishing LLC.",
    "year": "2025",
    "type": "copyright"
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "additionalProperties": false,
    "properties": {
        "_links": {
            "type": "object"
        },
        "_id": {
            "type": "integer",
            "example": 1328,
            "nullable": true
        },
        "_uuid": {
            "type": "string",
            "description": "ID of resource in V4 version of resource"
        },
        "_version": {
            "type": "string",
            "description": "API Version",
            "example": "3.0"
        },
        "owner": {
            "type": "string",
            "description": "Copyright Owner",
            "example": "Test Publishing LLC."
        },
        "year": {
            "type": "string",
            "description": "Copyright Year",
            "example": "2025"
        },
        "type": {
            "type": "string",
            "example": "copyright",
            "description": "Type of the copyright. Valid values copyright, database_right or phonogram_right"
        }
    },
    "required": [
        "type",
        "year",
        "owner"
    ]
}

{
    "errors": [
        {
            "_id": "string",
            "stack_trace": [
                "string"
            ],
            "message": "string",
            "vars": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "additionalProperties": false,
    "required": [
        "errors"
    ],
    "properties": {
        "errors": {
            "type": "array",
            "description": "List of errors occurred",
            "items": {
                "type": "object",
                "additionalProperties": false,
                "required": [
                    "_id",
                    "message",
                    "stack_trace",
                    "vars"
                ],
                "properties": {
                    "_id": {
                        "type": "string",
                        "description": "The identifier of the error"
                    },
                    "stack_trace": {
                        "type": "array",
                        "description": "A stacktrace of the error occurred. Only for testing systems.",
                        "items": {
                            "type": "string"
                        }
                    },
                    "message": {
                        "type": "string",
                        "description": "A translated message of the error"
                    },
                    "vars": {
                        "type": "object",
                        "description": "A dict containing additional values of the context of the error."
                    }
                }
            }
        }
    }
}

DELETE /resource/v3/products/{productId}/copyright_statements/{copyright_statementId}

Delete a copyright statement

Input parameters

Path parameters

Parameter Type Default Nullable Description
copyright_statementId string No Unique ID of the product copyright statement
productId string No Unique ID of the product

Responses

{
    "errors": [
        {
            "_id": "string",
            "stack_trace": [
                "string"
            ],
            "message": "string",
            "vars": {}
        }
    ]
}
⚠️ This example has been generated automatically from the schema and it is not accurate. Refer to the schema for more information.

Schema of the response body
{
    "type": "object",
    "additionalProperties": false,
    "required": [
        "errors"
    ],
    "properties": {
        "errors": {
            "type": "array",
            "description": "List of errors occurred",
            "items": {
                "type": "object",
                "additionalProperties": false,
                "required": [
                    "_id",
                    "message",
                    "stack_trace",
                    "vars"
                ],
                "properties": {
                    "_id": {
                        "type": "string",
                        "description": "The identifier of the error"
                    },
                    "stack_trace": {
                        "type": "array",
                        "description": "A stacktrace of the error occurred. Only for testing systems.",
                        "items": {
                            "type": "string"
                        }
                    },
                    "message": {
                        "type": "string",
                        "description": "A translated message of the error"
                    },
                    "vars": {
                        "type": "object",
                        "description": "A dict containing additional values of the context of the error."
                    }
                }
            }
        }
    }
}